List open notifications

Returns the 25 most recent open notifications for the project. Notifications are filtered by account_id and/or event when provided. Closed notifications and low-signal threshold events are excluded.

Query Parameters
  • account_id
    Type: integerFormat: int32

    Restrict notifications to a single account.

  • event
    Type: string

    Restrict notifications to a specific event name (e.g. ACCOUNT_DISCONNECTED).

Responses
  • application/json
  • application/json
Request Example for get/v1/notifications
curl 'http://api.mailreach.co/api/v1/notifications?account_id=1234&event=ACCOUNT_DISCONNECTED' \
  --header 'X-Api-Key: YOUR_SECRET_TOKEN'
[
  {
    "id": 9821,
    "level": "low",
    "event": "ACCOUNT_DISCONNECTED",
    "account_id": 1234,
    "project_id": 7,
    "account_email": "john@acme.com",
    "content": "Account needs to be reconnected.",
    "domain": "acme.com",
    "domain_expire_on": "2027-03-01T00:00:00.000Z"
  }
]